<div class="container-fluid">
    <%= render "common/navbar"%>
    <br/>
    <%= render "common/sidenavbar"%>
    <h1>Tasks</h1>
</div>

<div class="container-fluid col-5 text-center opacity-75 rounded " style="background-color:white; ">
   <div class="text-center">
       <h3> To-Doo List </h3>
   </div>
  <div class="row justify-content-center align-items-center">

     <table class="table">
       <thead>
         <tr>
          <th scope="col">S.no</th>
          <th scope="col">Task</th>
          <th scope="col">Status</th>
          <th scope="col">Category</th>
          <th scope="col">Delete</th>
         </tr>
       </thead>
    <tbody><% c=0 %>
    <% @lists.each do |t|%>
    <tr>
        <% c+=1 %>
      <th scope="row"><%= c %></th>
      <td><%= t.task %></td>
      <td><%= t.checkstatus %></td>
      <td><%= t.category %></td>
      
        <td><%= link_to "lists/#{t.id}" , confirm: 'Are you sure?', disable_with: 'deleting...', method: :delete do %>
           <button class="btn btn-sm btn-outline-danger btn-toggle align-items-center rounded collapsed" data-bs-toggle="collapse" data-bs-target="#home-collapse" aria-expanded="true"> 
              <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="20" height="20"><path fill-rule="evenodd" d="M16 1.75V3h5.25a.75.75 0 010 1.5H2.75a.75.75 0 010-1.5H8V1.75C8 .784 8.784 0 9.75 0h4.5C15.216 0 16 .784 16 1.75zm-6.5 0a.25.25 0 01.25-.25h4.5a.25.25 0 01.25.25V3h-5V1.75z"></path><path d="M4.997 6.178a.75.75 0 10-1.493.144L4.916 20.92a1.75 1.75 0 001.742 1.58h10.684a1.75 1.75 0 001.742-1.581l1.413-14.597a.75.75 0 00-1.494-.144l-1.412 14.596a.25.25 0 01-.249.226H6.658a.25.25 0 01-.249-.226L4.997 6.178z"></path><path d="M9.206 7.501a.75.75 0 01.793.705l.5 8.5A.75.75 0 119 16.794l-.5-8.5a.75.75 0 01.705-.793zm6.293.793A.75.75 0 1014 8.206l-.5 8.5a.75.75 0 001.498.088l.5-8.5z"></path></svg>
          </button>
        <% end %></td>
     </div>
      </td>
    </tr>
    <% end %>
    </tbody>
    </table>
  </div>
  

 <div class="flickr_pagination">
</div>
<br/>
</div>
</div>